import java.io.Serializable;
import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table console (id int, name varchar);");    
      HibernateUtil.setup("create table game (id int, name varchar);");    
      HibernateUtil.setup("create table instructions (id int, info varchar );");    
      HibernateUtil.setup("create table game_instructions (parent_id int,game_id int,instructions_id int);");    

      Session session = HibernateUtil.currentSession();


      Console sp = new Console("Console");
     
      TreeMap p = new TreeMap(new GameComparator());
      Game g = new Game("Game 1");
      Game g2 = new Game("Game 2");
      p.put(g, new Instructions("Instructions for Game 1"));
      p.put(g2, new Instructions("Instructions for Game 2"));
      sp.setGames(p);

      session.save(g);
      session.save(g2);
      session.flush();

      session.save(sp);
      session.flush();


      session.flush();
      session.close();
      HibernateUtil.checkData("select * from console");
      HibernateUtil.checkData("select * from game");
      HibernateUtil.checkData("select * from instructions");
      HibernateUtil.checkData("select * from game_instructions");      
   }
}
